package com.ruoyi.szxc.service.impl;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.szxc.domain.SzxcCarInfo;
import com.ruoyi.szxc.mapper.SzxcCarInfoMapper;
import com.ruoyi.szxc.service.ISzxcCarInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 车辆信息Service业务层处理
 * 
 * @author hs
 * @date 2024-03-15
 */
@Service
public class SzxcCarInfoServiceImpl implements ISzxcCarInfoService 
{
    @Autowired
    private SzxcCarInfoMapper szxcCarInfoMapper;

    /**
     * 查询车辆信息
     * 
     * @param id 车辆信息主键
     * @return 车辆信息
     */
    @Override
    public SzxcCarInfo selectSzxcCarInfoById(Long id)
    {
        return szxcCarInfoMapper.selectSzxcCarInfoById(id);
    }

    /**
     * 查询车辆信息列表
     * 
     * @param szxcCarInfo 车辆信息
     * @return 车辆信息
     */
    @Override
    @DataScope(deptAlias = "c")
    public List<SzxcCarInfo> selectSzxcCarInfoList(SzxcCarInfo szxcCarInfo)
    {
        return szxcCarInfoMapper.selectSzxcCarInfoList(szxcCarInfo);
    }

    /**
     * 新增车辆信息
     * 
     * @param szxcCarInfo 车辆信息
     * @return 结果
     */
    @Override
    public int insertSzxcCarInfo(SzxcCarInfo szxcCarInfo)
    {
        szxcCarInfo.setCreateTime(DateUtils.getNowDate());
        return szxcCarInfoMapper.insertSzxcCarInfo(szxcCarInfo);
    }

    /**
     * 修改车辆信息
     * 
     * @param szxcCarInfo 车辆信息
     * @return 结果
     */
    @Override
    public int updateSzxcCarInfo(SzxcCarInfo szxcCarInfo)
    {
        szxcCarInfo.setUpdateTime(DateUtils.getNowDate());
        return szxcCarInfoMapper.updateSzxcCarInfo(szxcCarInfo);
    }

    /**
     * 批量删除车辆信息
     * 
     * @param ids 需要删除的车辆信息主键
     * @return 结果
     */
    @Override
    public int deleteSzxcCarInfoByIds(Long[] ids)
    {
        return szxcCarInfoMapper.deleteSzxcCarInfoByIds(ids);
    }

    /**
     * 删除车辆信息信息
     * 
     * @param id 车辆信息主键
     * @return 结果
     */
    @Override
    public int deleteSzxcCarInfoById(Long id)
    {
        return szxcCarInfoMapper.deleteSzxcCarInfoById(id);
    }
}
